%define name	snortcenter
%define version	1.0
%define release	0.2mdk

Summary:	Snort IDS Rule & Sensor Management
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://users.pandora.be/larc/
Source0:	snortcenter-v%{version}-RC1.tar.bz2
Patch0:		snortcenter-v%{version}-config.patch.bz2
Requires:	apache-mod_php >= 2.0.54
Requires:	php-adodb >= 1:4.64-1mdk
Requires:	snort
Requires:	base
Requires:	curl
BuildArch:	noarch
Obsoletes:	SnortCenter
BuildRequires:	apache-base >= 2.0.54-5mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SnortCenter is a web-based client-server management system written
in PHP and Perl. It will help you to configure the Snort
configuration & signature files. The Management Console will build
the configuration files for you and then send it to the remote sensor.

Some features: 
* SSL encryption between Management System and remote Sensor
  Agents. 
* Build in user authentication. 
* Automatic update / import new snort signatures from the internet
  and push them to the sensors. 
* Start-Stop Snort remotely and push the specific configuration to
  the sensor. 
* Create personal rules or modify the snort rules. 
* One Sensor Agent can handle multiple snort daemons if the system
  has multiple network interfaces. 
* Multi Language support (english, german, french, spanish, italian,
  (dutch soon available) ). 
* Management Console and Sensor Agents for Linux, *NIX, Windows (NT,
  2000 & XP). 

%prep
%setup -q -n www
%patch0 -p0

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f | perl -ne 'chomp; print "$_\n" if -T $_' | xargs perl -pi -e 'tr/\r//d'

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_var}/www/%{name}
cp -aRf * %{buildroot}%{_var}/www/%{name}/

# apache configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf <<EOF
# %{name} Apache configuration file
Alias /%{name} %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from all
</Directory>
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-, root, root)
%doc snortcenter_db.mysql snortcenter_db.pgsql
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%config(noreplace) %attr(0644,root,root) %{_var}/www/%{name}/config.php
%{_var}/www/%{name}

%changelog
* Mon Jul 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.2mdk 
- use new adodb
- drop redundant requires 
- use perl instead of dos2unix to fix encoding
- install in %{_var}/www/%{name}

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.1mdk
- rename the package (SnortCenter/snortcenter)
- fix deps
- strip away annoying ^M
- fix P0

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.2mdk
- build release

* Sun Dec 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-0.1mdk
- 1.0-RC1
- fix P0, permissions on the conf file and own stuff

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-2mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-1mdk
- initial cooker contrib
- install in common and relocatable %%{_var}/www/ directory
